#include <bits/stdc++.h>
using namespace std;
int main() 
{
ios_base::sync_with_stdio(false);
cin.tie(NULL);
int n,m;
cin>>n>>m;
int niz[100000],p[100000],a,b;
for(int i=1;i<=n;i++)
{
cin>>niz[i];
p[i]=0;
}
for(int i=0;i<m;i++)
{
cin>>a>>b;
if(niz[a]>=0&&niz[b]>=0)
{
p[a]++;
p[b]++;
}
else if(niz[a]<=0&&niz[b]<=0)
{
p[a]--;
p[b]--;
}
else if(niz[a]>=0&&niz[b]<=0)
{
if(abs(niz[a])>=abs(niz[b]))
{
p[a]++;
p[b]++;
}
else
{
p[a]--;
p[b]--;
}
}
else if(niz[a]<=0&&niz[b]>=0)
{
if(abs(niz[a])>=abs(niz[b]))
{
p[a]--;
p[b]--;
}
else
{
p[a]++;
p[b]++;
}
}
}
unsigned long long z=0;
for(int i=1;i<=n;i++)
{
z+=(niz[i]*p[i]);
}
cout<<z<<endl;
return 0;
}